<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/TipsAndTricks/NTFS</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/TipsAndTricks/NTFS</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BWYJPVWMCj31OAE4q_NTFS_.2BZYdO9nz7ft8-">如何挂载一个 NTFS 文件系统</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line862">[注：假若你应用的是一个 centosplus 内核、阅读<a href="./zh(2f)TipsAndTricks(2f)NTFS.html#note_for_cplus">这部份</a>] <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="A.2BW4mIxWJAlwB2hH7ETvY-">1. 安装所需的组件</h2>
<span class="anchor" id="line-8"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 虽然旧版的 ntfs 在读写模式下很容易会吃掉你的数据，ntfs-3g 似乎能安全地进行读写。详情见 <a class="https" href="https://www.tuxera.com/community/open-source-ntfs-3g/">ntfs-3g 的网页</a>。 <span class="anchor" id="line-9"></span><span class="anchor" id="line-10"></span><p class="line867"><strong>EPEL</strong> 软件库收录了适用于 <strong>CentOS-7</strong> 及 <strong>CentOS-6</strong> 的 ntfs-3g 组件。若要安装，请按照 <a href="./zh(2f)Repositories.html">软件库</a> 页的指引启用 EPEL 软件库： <span class="anchor" id="line-11"></span>{{{yum install ntfs-3g fuse <span class="anchor" id="line-12"></span>}}} <span class="anchor" id="line-13"></span>如果你选择让 EPEL 缺省为停用的 <span class="anchor" id="line-14"></span>{{{yum --enablerepo epel install ntfs-3g fuse <span class="anchor" id="line-15"></span>}}} <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line874">你也许会想执行 <span class="anchor" id="line-18"></span>{{{yum install ntfsprogs ntfsprogs-gnomevfs <span class="anchor" id="line-19"></span>}}} <span class="anchor" id="line-20"></span>来加入额外功能。譬如说，利用 ntfsclone 复制 ntfs 分区，选择性地增加空间。ntfsprogs-gnomevfs 只适用于 CentOS-6。 <span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line867">
<h2 id="A.2BYwKPfU4ATio_NTFS_.2BZYdO9nz7ft8-">2. 挂载一个 NTFS 文件系统</h2>
<span class="anchor" id="line-23"></span><p class="line862">假设你的 ntfs 文件系统是 <tt class="backtick">/dev/sda1</tt> 而你将会把它挂载在 <tt class="backtick">/mymnt/win</tt>，请执行以下步骤。 <span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line874">首先，创建挂载点。 <span class="anchor" id="line-26"></span>{{{mkdir /mymnt/win <span class="anchor" id="line-27"></span>}}} <span class="anchor" id="line-28"></span>之后，<strong>编辑</strong> <tt class="backtick">/etc/fstab</tt> 如下。要只读式挂载： <span class="anchor" id="line-29"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-30"></span>}}} <span class="anchor" id="line-31"></span>要读写式挂载： <span class="anchor" id="line-32"></span>{{{/dev/sda1       /mymnt/win   ntfs-3g  rw,umask=0000,defaults 0 0 <span class="anchor" id="line-33"></span>}}} <span class="anchor" id="line-34"></span>现在你可以进行挂载。执行： <span class="anchor" id="line-35"></span>{{{mount /mymnt/win <span class="anchor" id="line-36"></span>}}} <span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><p class="line867">
<h2 id="centosplus_.2BUYVoOHaEdShiNw-">3. centosplus 内核的用户</h2>
<span class="anchor" id="line-39"></span><p class="line867"><span class="anchor" id="note_for_cplus"></span> <span class="anchor" id="line-40"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 由 CentOS-5.3 开始，centoplus（<a href="./zh(2f)Repositories(2f)CentOSPlus.html">zh/Repositories/CentOSPlus</a>）内核没有启用 NTFS 模块。这是由于 5.3 内的 NTFS 是不能运作的。详情请参阅 <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=481495">https://bugzilla.redhat.com/show_bug.cgi?id=481495</a> 。如困你希望使用来自 CentOS 内核的 NTFS 模块，你可以安装来自<a class="http" href="http://elrepo.org">ELRepo 计划</a>的 <strong>kmod-ntfs</strong>。然而，有别于 ntfs-3g，附属内核的 ntfs 模块只提供极度有限的<strong>写入</strong>功能。以下文字来自内核的 Kconfig 文件（多谢 <a href="./AlanBartlett.html">AlanBartlett</a> 提供这数据）： <span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><p class="line874">「唯一被支持的运作是在不更改长度的情况下重写现存文件。创建文件及目录，或者将它们删除和换名都不可能。请注意，只有非常注的文件才可以被写入，因此你可能会发现不能把数据写入一些很细小（小于 500 字符左右）的文件内。」 <span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line862">以下描述适用于 <strong>CentOS 5.2 或更旧版本</strong>。 <span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line862">在 CentOSPlus 内核，ntfs 及 fuse <strong>内核模块</strong>都同时被启用。ntfs 与 ntfs-3g 之间的主要差别就是前者是只读的，而后者可读写。因此，你若不需要权限来写入 ntfs 文件系统，便不用安装额外的组件。你只需在 <tt class="backtick">/etc/fstab</tt> 内加入这行： <span class="anchor" id="line-47"></span>{{{/dev/sda1       /mymnt/win   ntfs  ro,umask=0222,defaults 0 0 <span class="anchor" id="line-48"></span>}}} <span class="anchor" id="line-49"></span>假若你想有读写权限，你便需要 fuse-ntfs-3g 组件，但由于 fuse 模块已通过内核提供，因此你不需要 dkms 组件： <span class="anchor" id="line-50"></span>{{{yum install fuse fuse-ntfs-3g <span class="anchor" id="line-51"></span>}}} <span class="anchor" id="line-52"></span><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> <strong>然而</strong>，CentOS 5 内所包含的 fuse 模块（截至 2007 年 8 月）产生一个信息：WARNING: Deficient FUSE kernel module detected。它依然可以操作，但我们推荐使用 RPMforge 内（较新）的模块。此外，你应该升级至不含这个问题的最新内核。 <span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><p class="line874">因此，执行： <span class="anchor" id="line-55"></span>{{{yum install fuse fuse-ntfs-3g dkms dkms-fuse <span class="anchor" id="line-56"></span>}}} <span class="anchor" id="line-57"></span>以 RPMforge 内的 fuse 内核模块取代现有版本。 <span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-60"></span>另外请参阅： <span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><p class="line867"><a class="http" href="http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume">http://wiki.linux-ntfs.org/doku.php?id=ntfs-en#can_i_mount_an_ntfs_volume</a> （只读式挂载） <span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><p class="line867"><hr /><p class="line874"> <span class="anchor" id="line-65"></span>这页的英文版本由 <a href="./AkemiYagi.html">AkemiYagi</a> 撰写。欢迎各位作出修改。 <span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><p class="line867"><small>Translation of revision 54</small> <span class="anchor" id="line-68"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:24
</body>
</html>
